Data Pools

List Data Pools

get

Retrieves a paginated list of data pools. Can be filtered by name.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: name, description

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/data-pool

Create Data Pool

post

Creates a new data pool.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
descriptionstring · max: 255 · nullableOptional
namestring · min: 3 · max: 100Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/data-pool

Get Data Pool

get

Retrieves the details of a specific data pool.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: name, description

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/data-pool/{data_pool}

Update Data Pool

put

Updates an existing data pool.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Body
descriptionstring · max: 255 · nullableOptional
namestring · min: 3 · max: 100Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/data-pool/{data_pool}

Delete Data Pool

delete

Permanently deletes a specific data pool.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/data-pool/{data_pool}

List Data Pool Deduped Data

get

Retrieves a paginated list of deduped data records for a specific data pool. Can be filtered by flow_id, flow_run_id, step_id, entity_type_id, value, created_before, and created_after.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Query parameters
filter[flow_id]stringOptional

Filter results by flow_id.

filter[flow_run_id]stringOptional

Filter results by flow_run_id.

filter[step_id]stringOptional

Filter results by step_id.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[value]stringOptional

Filter results by value.

filter[created_before]stringOptional

Filter results by created_before.

filter[created_after]stringOptional

Filter results by created_after.

includestringOptional

Comma-separated list of relationships to include. Available: flow, flowRun, flowStep, entityType, dataPool

sortstringOptional

Sort field. Prefix with - for descending. Available: created_at, id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/data-pool/{data_pool}/deduped-data

Download Data Pool Deduped Data

get

Triggers the download of de-dupe data for a specific data pool. A CSV file is generated and added to the file downloads section in the Patchworks dashboard.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
get
/api/v1/data-pool/{data_pool}/deduped-data/download

Import Data Pool Deduped Data

post

Imports de-dupe values into a specific data pool from a CSV file containing value and entity_type_id headers. All records in the import file are added as new items, and any existing items in the data pool are left unchanged.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
data_poolstringRequired

The data pool identifier.

Body
deduped_data_filestringRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/data-pool/{data_pool}/deduped-data/import

Delete Deduped Data Record

delete

Deletes specific records from a data pool.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
idstringRequired

The unique identifier of the id.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/data-pool/{id}/deduped-data/delete-records

Last updated

Was this helpful?